Subject: UUCPA announce: Photos from Social Action Fair on our Website

From: "VJ Mohan" <[email-masked]>
Date: Sun, 20 Feb 2005 17:17:54 -0800

MessageDear All!

Photographs from the Social Action Fair are on our website, sorry about the
delay.  If you were there at the Fair, it is time to refresh your memory.
If you missed the fair, time to get a taste of it!  Thanks to Dave Weber for
some of the images and to ever helpful Virginia for setting up the album.

On the main page of our site http://uucpa.org/, clik on the link Pictures
from the Social Action Fair, in the middle of the page, just below the link
for the Bulletin.

Enjoy!

    VJ